# Class BodyComponent

Namespace
  Awperative

Assembly
  Awperative.dll

    public class BodyComponent : Component

Inheritance
  object
  Component
  BodyComponent

Inherited Members
  Component.Scene
  Component.Unload()
  Component.Load()
  Component.Update(GameTime)
  Component.Draw(GameTime)
  Component.Create()
  Component.Destroy()
  Component.AddBody()
  Component.AddBody(Transform)
  Component.GetBody(string)
  Component.GetBodies(string)
  Component.DestroyBody(Body)
  Component.AddComponent<Generic>()
  Component.AddComponent<Generic>(object[])
  Component.GetComponent<Generic>()
  Component.GetComponents<Generic>()
  Component.RemoveComponent<Generic>()
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Body

    public Body Body

#### Field Value

Body

## Properties

### Transform

    public Transform Transform { get; }

#### Property Value

Transform